import 'package:drift/drift.dart';
import 'package:sendtrain/database/database.dart';

part 'sessions_dao.g.dart';

@DriftAccessor(tables: [Sessions])
class SessionsDao extends DatabaseAccessor<AppDatabase> with _$SessionsDaoMixin {
  SessionsDao(super.db);

  Future<List<Session>> all() async {
    return await select(sessions).get();
  }

  Future<Session> find(int id) async {
    return await (select(sessions)..where((session) => session.id.equals(id) )).getSingle();
  }
}